# Interface IComponentOptionsNumberOptionArgs

## Index

### Properties

- alias
- attrName
- defaultFunction
- defaultValue
- depend
- deprecated
- float
- max
- min
- postProcessing
- required
- section
- validator

## Properties

### Optional alias

alias: string | string[]

Inherited from IComponentOptions.alias

- Defined in ui/Base/IComponentOptions.ts :117

### Optional attrName

attrName: string

Inherited from IComponentOptions.attrName

- Defined in ui/Base/IComponentOptions.ts :108

### Optional defaultFunction

defaultFunction: function

Inherited from IComponentOptions.defaultFunction

- Defined in ui/Base/IComponentOptions.ts :76

#### Type declaration

- - (element: HTMLElement): number

  - #### Parameters

    - ##### element: HTMLElement

    #### Returns number

### Optional defaultValue

defaultValue: number

Inherited from IComponentOptions.defaultValue

- Defined in ui/Base/IComponentOptions.ts :68

### Optional depend

depend: string

Inherited from IComponentOptions.depend

- Defined in ui/Base/IComponentOptions.ts :132

### Optional deprecated

deprecated: string

Inherited from IComponentOptions.deprecated

- Defined in ui/Base/IComponentOptions.ts :144

### Optional float

float: boolean

- Defined in ui/Base/IComponentOptions.ts :181

### Optional max

max: number

- Defined in ui/Base/IComponentOptions.ts :176

### Optional min

min: number

- Defined in ui/Base/IComponentOptions.ts :168

### Optional postProcessing

postProcessing: IComponentOptionsPostProcessing<number>

Inherited from IComponentOptions.postProcessing

- Defined in ui/Base/IComponentOptions.ts :98

### Optional required

required: boolean

Inherited from IComponentOptions.required

- Defined in ui/Base/IComponentOptions.ts :87

### Optional section

section: string

Inherited from IComponentOptions.section

- Defined in ui/Base/IComponentOptions.ts :122

### Optional validator

validator: function

Inherited from IComponentOptions.validator

- Defined in ui/Base/IComponentOptions.ts :152

#### Type declaration

- - (value: number): boolean

  - #### Parameters

    - ##### value: number

    #### Returns boolean

### Hierarchy

- IComponentOptions<number>